﻿using System;
using System.Windows;
using XDCColumnSeriesColorBinding.DataModel;

namespace XDCColumnSeriesColorBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ColumnSeries_AssigningCategoryStyle(object sender, Infragistics.Controls.Charts.AssigningCategoryStyleEventArgs args)
        {
            // The event triggers for every column and the count of the columns Object array is always one, so getting only the element on index 0
            SampleData currentColumn = args.GetItems(args.StartIndex, args.EndIndex)[0] as SampleData;
            Console.WriteLine(currentColumn.Value.ToString() + " " + currentColumn.ColumnBrush.ToString());
            args.Fill =currentColumn.ColumnBrush;
        }
    }
}
